# API Email - Create

## Create Emails New/Reply

<mark style="color:green;">`POST`</mark> `/v2/email/create`

**Body**

<table><thead><tr><th width="225">Param</th><th width="121">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>api_key</code></td><td>string</td><td><mark style="color:red;">required</mark></td></tr><tr><td><code>from_address</code></td><td>string</td><td><mark style="color:red;">required</mark></td></tr><tr><td><code>uid</code></td><td>string</td><td>Email uid being responded to</td></tr><tr><td><code>subject</code></td><td>string</td><td>Subject if no uid is provided [New Email]</td></tr><tr><td><code>body</code></td><td>string</td><td>HTML or Plain Text <mark style="color:red;">required</mark></td></tr><tr><td><code>to_address</code></td><td>string</td><td>To Address if no uid is provided [New Email]</td></tr><tr><td><code>cc</code></td><td>array</td><td>Email Addresses</td></tr><tr><td><code>bcc</code></td><td>array</td><td>Email Addresses</td></tr><tr><td><code>headers</code></td><td>array</td><td>Key must start with <code>sense_</code></td></tr></tbody></table>

**Example Payload**

{% tabs %}
{% tab title="New Email" %}

```json
{
  "api_key": "",
  "from_address": "staffmember@email.com",
  "to_address": "client@email.com",
  "cc": [
    "another@email.com"
  ],
  "subject": "Example Subjext",
  "body": "HTML or Plain Text here",
  "headers": [
    "sense_client_id": 123456
  ]
}
```

{% endtab %}

{% tab title="Reply Email" %}

```json
{
  "api_key": "",
  "from_address": "staffmember@email.com",
  "uid": "UNIQUE_ID_HERE",
  "body": "HTML or Plain Text here"
}
```

{% endtab %}
{% endtabs %}

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "status": "success"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.systemsx.co.uk/sense/api-email-create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
